version: "3.7"
name: cloudbeaver
services:
  cloudbeaver:
    container_name: cloudbeaver
    deploy:
      resources:
        reservations:
          memory: 256M
    image: dbeaver/cloudbeaver:24.3.2
    ports:
      - target: 8978
        published: "8978"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/workspace
        target: /opt/cloudbeaver/workspace
    network_mode: bridge
    privileged: false
    x-casaos:
      ports:
        - container: "8978"
          description:
            en_us: WebUI HTTP Port
            pt_br: Porta da WebUI
            zh_cn: WebUI HTTP端口
          protocol: tcp
      volumes:
        - container: /opt/cloudbeaver/workspace
          description:
            en_us: Workspace directory.
            pt_br: Diretório do workspace
            zh_cn: 工作目录
x-casaos:
  architectures:
    - amd64
    - arm64
  main: cloudbeaver
  author: joaobosconff
  category: Developer
  description:
    en_us: CloudBeaver is a web-based database GUI tool which provides rich web interface. You can use it to manage PostgreSQL, MySQL, MariaDB, SQL Server, Oracle, DB2, Firebird, H2, Trino.
    pt_br: CloudBeaver é uma ferramenta GUI de banco de dados baseada na web que oferece uma interface web abrangente. Você pode usá-lo para gerenciar PostgreSQL, MySQL, MariaDB, SQL Server, Oracle, DB2, Firebird, H2 e Trino.
    zh_cn: CloudBeaver是一个基于Web的数据库GUI工具，提供丰富的Web界面。您可以使用它来管理PostgreSQL、MySQL、MariaDB、SQL Server、Oracle、DB2、Firebird、H2和Trino。
  developer: dbeaver
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/CloudBeaver/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/CloudBeaver/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/CloudBeaver/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/CloudBeaver/screenshot-3.png
  tagline:
    en_us: Cloud Database Manager.
    pt_br: Administrador de Banco de Dados na Nuvem.
    zh_cn: 云数据库管理器。
  title:
    en_us: CloudBeaver
    pt_br: CloudBeaver
  index: /
  port_map: "8978"
